<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Entities/Entity.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d58/_entity_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Entity.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d58/_entity_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d96/class_entity.html">Entity</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d0/d6b/class_object_typed.html">ObjectTyped</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#ab85488619ac4c8339355636cba4b9421">    3</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#ab85488619ac4c8339355636cba4b9421">DisableSimulation</a>(<span class="keywordtype">bool</span> disable);</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#aac7fba9da96eb0c0fe41f3069506b232">    6</a></span>    proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#aac7fba9da96eb0c0fe41f3069506b232">GetIsSimulationDisabled</a>();</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#a40464897d6adbb9a4a611b21ad64fbec">    9</a></span>    proto native <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#a40464897d6adbb9a4a611b21ad64fbec">GetSimulationTimeStamp</a>();</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#a30360cfb7bb3d7c207998031726dfb2b">   12</a></span>    proto native <span class="keywordtype">float</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#a30360cfb7bb3d7c207998031726dfb2b">GetAnimationPhase</a>(<span class="keywordtype">string</span> animation);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#a481cf328660f41979c00c5cbba0780d1">   15</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#a481cf328660f41979c00c5cbba0780d1">SetAnimationPhase</a>(<span class="keywordtype">string</span> animation, <span class="keywordtype">float</span> phase);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#a676dfe1f3a8826d6cb213414cb371c7d">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#a676dfe1f3a8826d6cb213414cb371c7d">SetAnimationPhaseNow</a>(<span class="keywordtype">string</span> animation, <span class="keywordtype">float</span> phase)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        ResetAnimationPhase(animation, phase);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        SetAnimationPhase(animation, phase);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#a829f6504c247aa973ba70b2120c516ee">   24</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#a829f6504c247aa973ba70b2120c516ee">ResetAnimationPhase</a>(<span class="keywordtype">string</span> animation, <span class="keywordtype">float</span> phase);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#a668fedec1ad778032f72b3de798c42c4">   29</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#a668fedec1ad778032f72b3de798c42c4">OnAnimationPhaseStarted</a>(<span class="keywordtype">string</span> animSource, <span class="keywordtype">float</span> phase);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#a854191f11657c7ac90fd65d30b34cdae">   32</a></span>    proto native <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#a854191f11657c7ac90fd65d30b34cdae">GetBoneIndex</a>( <span class="keywordtype">string</span> proxySelectionName );</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#a3d1bbbf2b9d8574c28567f3bfb694999">   35</a></span>    proto native <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#a3d1bbbf2b9d8574c28567f3bfb694999">GetBoneObject</a>( <span class="keywordtype">int</span> boneIndex );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#add8bbf028ca7f8ddf09c360a100d509c">   38</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#add8bbf028ca7f8ddf09c360a100d509c">SetInvisible</a>(<span class="keywordtype">bool</span> invisible);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#ab2824dbae93e19f680172498e0eabacf">   46</a></span>    proto        <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#ab2824dbae93e19f680172498e0eabacf">MoveInTime</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> targetTransform[4], <span class="keywordtype">float</span> deltaT);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#a08cc3a887297498ac1d6e297fcc2bf05">   51</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#a08cc3a887297498ac1d6e297fcc2bf05">OnCreatePhysics</a>();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d0/d6b/class_object_typed.html#ae3dc314d3a777de84ac14097adee4527">   59</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d6b/class_object_typed.html#ae3dc314d3a777de84ac14097adee4527">OnNetworkTransformUpdate</a>(out <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos, out <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> ypr);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>};</div>
<div class="ttc" id="aclass_entity_html"><div class="ttname"><a href="../../d2/d96/class_entity.html">Entity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcc/_camera_8c_source.html#l00001">Camera.c:2</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_object_typed_html"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html">ObjectTyped</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d58/_entity_8c_source.html#l00001">Entity.c:2</a></div></div>
<div class="ttc" id="aclass_object_typed_html_a08cc3a887297498ac1d6e297fcc2bf05"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#a08cc3a887297498ac1d6e297fcc2bf05">ObjectTyped::OnCreatePhysics</a></div><div class="ttdeci">void OnCreatePhysics()</div><div class="ttdoc">callback called when entity is moved to world and creating its physics representation</div></div>
<div class="ttc" id="aclass_object_typed_html_a30360cfb7bb3d7c207998031726dfb2b"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#a30360cfb7bb3d7c207998031726dfb2b">ObjectTyped::GetAnimationPhase</a></div><div class="ttdeci">proto native float GetAnimationPhase(string animation)</div><div class="ttdoc">Return animation phase of animation on object.</div></div>
<div class="ttc" id="aclass_object_typed_html_a3d1bbbf2b9d8574c28567f3bfb694999"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#a3d1bbbf2b9d8574c28567f3bfb694999">ObjectTyped::GetBoneObject</a></div><div class="ttdeci">proto native Object GetBoneObject(int boneIndex)</div><div class="ttdoc">Returns proxy object that corresponds given bone inside skeleton.</div></div>
<div class="ttc" id="aclass_object_typed_html_a40464897d6adbb9a4a611b21ad64fbec"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#a40464897d6adbb9a4a611b21ad64fbec">ObjectTyped::GetSimulationTimeStamp</a></div><div class="ttdeci">proto native int GetSimulationTimeStamp()</div><div class="ttdoc">Returns simulation timestamp.</div></div>
<div class="ttc" id="aclass_object_typed_html_a481cf328660f41979c00c5cbba0780d1"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#a481cf328660f41979c00c5cbba0780d1">ObjectTyped::SetAnimationPhase</a></div><div class="ttdeci">proto native void SetAnimationPhase(string animation, float phase)</div><div class="ttdoc">Process animation on object. Animation is defined in config file. Wanted animation phase is set to ph...</div></div>
<div class="ttc" id="aclass_object_typed_html_a668fedec1ad778032f72b3de798c42c4"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#a668fedec1ad778032f72b3de798c42c4">ObjectTyped::OnAnimationPhaseStarted</a></div><div class="ttdeci">void OnAnimationPhaseStarted(string animSource, float phase)</div><div class="ttdoc">callback called from C++ when AnimationPhase has started</div></div>
<div class="ttc" id="aclass_object_typed_html_a676dfe1f3a8826d6cb213414cb371c7d"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#a676dfe1f3a8826d6cb213414cb371c7d">ObjectTyped::SetAnimationPhaseNow</a></div><div class="ttdeci">void SetAnimationPhaseNow(string animation, float phase)</div><div class="ttdoc">Same as SetAnimationPhase, only ignores any animation and sets the phase immediately.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d58/_entity_8c_source.html#l00018">Entity.c:18</a></div></div>
<div class="ttc" id="aclass_object_typed_html_a829f6504c247aa973ba70b2120c516ee"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#a829f6504c247aa973ba70b2120c516ee">ObjectTyped::ResetAnimationPhase</a></div><div class="ttdeci">proto native void ResetAnimationPhase(string animation, float phase)</div></div>
<div class="ttc" id="aclass_object_typed_html_a854191f11657c7ac90fd65d30b34cdae"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#a854191f11657c7ac90fd65d30b34cdae">ObjectTyped::GetBoneIndex</a></div><div class="ttdeci">proto native int GetBoneIndex(string proxySelectionName)</div><div class="ttdoc">Returns skeleton's bone index of named proxy selection.</div></div>
<div class="ttc" id="aclass_object_typed_html_aac7fba9da96eb0c0fe41f3069506b232"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#aac7fba9da96eb0c0fe41f3069506b232">ObjectTyped::GetIsSimulationDisabled</a></div><div class="ttdeci">proto native bool GetIsSimulationDisabled()</div><div class="ttdoc">Returns whether simulation is disabled.</div></div>
<div class="ttc" id="aclass_object_typed_html_ab2824dbae93e19f680172498e0eabacf"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#ab2824dbae93e19f680172498e0eabacf">ObjectTyped::MoveInTime</a></div><div class="ttdeci">proto void MoveInTime(vector targetTransform[4], float deltaT)</div><div class="ttdoc">On server, entity's transformation is directly changed to targetTransform, on client entity's transfo...</div></div>
<div class="ttc" id="aclass_object_typed_html_ab85488619ac4c8339355636cba4b9421"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#ab85488619ac4c8339355636cba4b9421">ObjectTyped::DisableSimulation</a></div><div class="ttdeci">proto native void DisableSimulation(bool disable)</div></div>
<div class="ttc" id="aclass_object_typed_html_add8bbf028ca7f8ddf09c360a100d509c"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#add8bbf028ca7f8ddf09c360a100d509c">ObjectTyped::SetInvisible</a></div><div class="ttdeci">proto native void SetInvisible(bool invisible)</div><div class="ttdoc">Turns on/off invisibility.</div></div>
<div class="ttc" id="aclass_object_typed_html_ae3dc314d3a777de84ac14097adee4527"><div class="ttname"><a href="../../d0/d6b/class_object_typed.html#ae3dc314d3a777de84ac14097adee4527">ObjectTyped::OnNetworkTransformUpdate</a></div><div class="ttdeci">bool OnNetworkTransformUpdate(out vector pos, out vector ypr)</div><div class="ttdoc">Client event on transformation update from network.</div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_52b4874e80dc11cbd39c955e2d94192b.html">Entities</a></li><li class="navelem"><a class="el" href="../../df/d58/_entity_8c.html">Entity.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
